<div>
  <form [formGroup]="form" (ngSubmit)="guardar()">

    <div class="column-izq">
      <button mat-raised-button color="accent" type="button" (click)="agregar()">Adicionar</button>
    </div>

    <div class="column-center">
      <div formArrayName="boxInput" *ngFor="let s of newInput.controls; let i = index ">
          <mat-form-field class="example-full-width" appearance="fill" >
            <mat-label>Nombre</mat-label>
            <input 
            matInput
            placeholder="Ej. Lorena"
            #message
            maxlength="50"
            [formControlName]="i"
            required
            >
          </mat-form-field>
          <button mat-raised-button color="primary" (click)="limpiarText1()">Limpiar caja1</button>
          <button mat-raised-button color="warn"
        (click)="borrarCaja(this.newInput.value.i)" 
        type="button"
        >Eliminar</button>
      </div>

        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Guardado de texto</mat-label>
          <textarea matInput
          cols="30" 
          rows="7"
          readonly
          > {{ array }} </textarea>
        </mat-form-field>

          <button mat-raised-button color="primary" 
          type="button"
          class="botonL1"
          (click)="limpiarText()"
          >Limpiar Caja2</button>
      
    </div>

    <div class="column-der">

      <div class="izq">
        <fieldset>
          <legend>acciones</legend>

          <button mat-raised-button (click)="guardar()" 
          class="botong1" 
          [disabled]="form.invalid"
          >Guardar</button>
  
          <button mat-raised-button type="reset" 
          class="botong1" (click)="limpiar()">Limpiar</button>
        </fieldset>
      </div>
      
    </div>
  </form>
</div>